<div style="margin-top: 20px;">
    <button (click)="lanjutSUR()" type="button" class="input-group-addon flat-style-button" style="margin-left: 50px;">
            <span>{{'entity.action.proceed' | translate}}</span>
    </button>

    <h5>
        <span jhiTranslate="mpmApp.prospectOrganizationDetails.home.title">Prospect Organization Details</span>
    </h5>
    <p-dataTable [value]="prospectOrganizationDetails" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true" dataKey="idProspectOrganizationDetail"
        expandableRows="false" (onLazyLoad)="loadDataLazy($event)" (onEditComplete)="updateRowData($event)">
        <p-header>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.prospectOrganizationDetails.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                    <button type="button" class="input-group-addon flat-style-button" style="margin-left: 50px;" [routerLink]="['../prospect-organization-details-new']">
                        <span class="fa fa-plus"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'mpmApp.prospectOrganizationDetails.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.prospectOrganizationDetails.idProspect'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idProspect}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.prospectOrganizationDetails.unitPrice'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.unitPrice | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.prospectOrganizationDetails.discount'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.discount | number: '.0-2'}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.prospectOrganizationDetails.person'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.personId">
                    <a [routerLink]="['../person', rowData.personId  ]">{{rowData.personName}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.prospectOrganizationDetails.product'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.productId">
                    <a [routerLink]="['../motor', rowData.productId  ]">{{rowData.productName}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.prospectOrganizationDetails.color'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.colorId">
                    <a [routerLink]="['../feature', rowData.colorId  ]">{{rowData.colorDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.prospectOrganizationDetails.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <button pButton type="submit" [routerLink]="['../prospect-organization-details', rowData.idProspectOrganizationDetail]" icon="fa-eye" class="flat-button" [style]="{'height':'50px'}">
                </button> -->
                <button pButton type="submit" [routerLink]="['../prospect-organization-details/'+ rowData.idProspectOrganizationDetail + '/edit']" icon="fa-pencil" class="flat-button">
                </button>
                <button pButton type="submit" (click)="delete(rowData.idProspectOrganizationDetail)" icon="fa-remove" class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>